﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace RibbonGroup
{
    public class CustomRibbonGallery : RadRibbonGallery
    {
        protected override void PrepareContainerForItemOverride(System.Windows.DependencyObject element, object item)
        {
            base.PrepareContainerForItemOverride(element, item);

            var galleryItem = element as RadGalleryItem;
            galleryItem.Focusable = true;
            galleryItem.IsTabStop = true;

            if (item is System.Windows.Controls.Separator)
            {
                galleryItem.Height = 8;
                galleryItem.Padding = new System.Windows.Thickness(0);
                galleryItem.BorderThickness = new System.Windows.Thickness(0);
            }
        }
    }
}
