﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RibbonGroup
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private DelegateCommand deleteCommand;
        public DelegateCommand DeleteCommand
        {
            get
            {
                return deleteCommand;
            }
            set
            {
                this.deleteCommand = value;
            }
        }

        public MainWindow()
        {
            InitializeComponent();

            this.DeleteCommand = new DelegateCommand(execute, canExecute);
            this.DataContext = this;
        }

        private void execute(object obj)
        {
            if (Keyboard.FocusedElement != null && Keyboard.FocusedElement is RadGalleryItem)
            {
                this.QuickStyles.Items.Remove((Keyboard.FocusedElement as RadGalleryItem));
            }
        }

        private bool canExecute(object obj)
        {
            return true;
        }

    }
}
